<div ng-controller="jobFormController as self" ng-init="self.init(<?= $this->job ? $this->job->getId() : '' ?>)">
    <ul class="breadcrumb">
        <li><a href="<?= $this->url('root') ?>"><?= $this->icon('home') ?></a></li>
        <li><?= $this->translate('administration_module_title') ?></li>
        <li><a href="<?= $this->url('directory/job') ?>"><?= $this->translate('job_module_title') ?></a></li>
        <li class="active">
            <span ng-if="self.job.id">
                {{self.panelTitle}}
            </span>
            <span ng-if="!self.job.id">
                <?= $this->translate('job_new_title') ?>
            </span>
        </li>
    </ul>

    <h1 class="page-title">
        <?= $this->icon('job') ?> <?= $this->translate('job_module_title') ?>
    </h1>

    <div class="row row-padding">
        <div class="col-xs-12">
            <div class="panel">
                <div class="panel-heading">
                    <span ng-if="self.job.id">
                        {{self.panelTitle}}
                    </span>
                    <span ng-if="!self.job.id">
                        <?= $this->translate('job_nav_form') ?>
                    </span>

                    <div class="panel-heading-right">
                        <div class="panel-heading-actions" ng-if="self.job.id " tooltip="<?= $this->translate('tooltip_delete') ?>">
                            <?= $this->icon('delete', 'pointer', ['ng-click' => 'self.deleteJob()']) ?>
                        </div>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="row">
                        <div class="col-xs-12">
                            <form name="jobForm" ng-submit="self.saveJob()">
                                <input type="hidden" name="id"
                                       ng-model="self.job.id" />

                                <div class="row">
                                    <div class="form-group required col-sm-6 col-lg-4">
                                        <label><?= $this->translate('job_field_name') ?></label>
                                        <input type="text" name="name" class="form-control" autocomplete="off" required
                                               ng-model="self.job.name" ng-readonly="!self.job._rights.update" />
                                        <field-errors field="name" errors="self.errors.fields"></field-errors>
                                    </div>
                                </div>

              
                                <?php if ($this->module()->isActive('keyword')) : ?>
                                    <div class="row">
                                        <div class="col-sm-6 col-lg-4">
                                            <fieldset>
                                                <legend><?= $this->icon('keyword', 'fa-fw') ?> <?= $this->translate('keywords') ?></legend>
                                                <keywords-form-group entity="job" ng-model="self.job"></keywords-form-group>
                                            </fieldset>
                                        </div>
                                    </div>
                                <?php endif; ?>

                                <div ng-if="self.job._rights.update" class="row">
                                    <div class="col-xs-12">
                                        <button type="submit" class="btn btn-submit" ng-disabled="self.loading.remove || self.loading.save" >
                                            <?= $this->icon('loading', '', ['ng-if' => 'self.loading.save']) ?>
                                            <?= $this->translate('form_button_save') ?>
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php
$fabLinks = [];

if ($this->acl()->isAllowed('directory:e:job:c')) {
    $fabLinks[] = [
        'href' => $this->url('directory/job/form'),
        'text' => $this->icon('create', 'fa-fw') . ' ' . $this->translate('job_nav_form')
    ];
    $fabLinks[] = [
        'href' => $this->url('directory/job/import'),
        'text' => $this->icon('import', 'fa-fw') . ' ' . $this->translate('job_nav_import')
    ];
}

echo $this->fabMenu($fabLinks);
?>


<?php
    $this->angular('js/src/directory/service/job.js');


    $this->angular('js/src/directory/controller/job/form.js');

    $this->angular('js/src/directory/directive/jobSelect.js');

    $this->angular('js/src/keyword/directive/keywordsFormGroup.js');
    $this->angular('js/src/keyword/directive/keywordSelect.js');
    $this->angular('js/src/keyword/service/group.js');
    $this->angular('js/src/keyword/service/keyword.js');


